### Type parameters

- #### A

### Hierarchy

- Subscribtion

### Implements

- Consumer<A>

## Index

### Constructors

- constructor

### Properties

- f
- parent

### Methods

- push

## Constructors

### constructor

- new Subscribtion(f: function, parent: Future<A>): Subscribtion

- - Defined in Future.ts:156

  #### Parameters

  - ##### f: function

    - - (a: A): void

      - #### Parameters

        - ##### a: A

        #### Returns void

  - ##### parent: Future<A>

  #### Returns Subscribtion

## Properties

### f

f: function

- Defined in Future.ts:157

#### Type declaration

- - (a: A): void

  - #### Parameters

    - ##### a: A

    #### Returns void

### parent

parent: Future<A>

- Defined in Future.ts:157

## Methods

### push

- push(a: A): void

- - Defined in Future.ts:160

  #### Parameters

  - ##### a: A

  #### Returns void

Generated using TypeDoc